//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d8 $

#ifndef _WINDOIDFRAME_
#define _WINDOIDFRAME_

//===========================================================================
// ----- Framework Includes -----
#ifndef FWFRAME_H
#include <FWFrame.h>		// FW_CFrame
#endif

//===========================================================================
class FW_CLASS_ATTR CWindoidPart;
class FW_CLASS_ATTR FW_CMenuEvent;

//===========================================================================
class FW_CLASS_ATTR CMainFrame : public FW_CFrame {
public:
						CMainFrame(Environment* ev, ODFrame* odFrame, 
									FW_CPresentation* presentation, 
									CWindoidPart* windoidPart);
	virtual 			~CMainFrame();
protected:
	// overrides
	virtual void		Draw(Environment *ev, ODFacet* odFacet, 
							 			ODShape* invalidShape);
};

//===========================================================================
class FW_CLASS_ATTR CPaletteFrame : public FW_CFrame {
public:
						CPaletteFrame(Environment* ev, ODFrame* odFrame, 
										FW_CPresentation* presentation, 
										CWindoidPart* windoidPart);
	virtual 			~CPaletteFrame();
protected:
// overrides
	virtual void		Draw(Environment *ev, ODFacet* odFacet, 
							 					ODShape* invalidShape);
	virtual FW_Boolean 	DoMouseDown(Environment* ev, 
								const FW_CMouseEvent& theMouseEvent);
	FW_Boolean			FindCell(const FW_CPoint& where, unsigned short& row, 
											unsigned short& column) const;
	void				GetCellRectangle(unsigned short row, 
							unsigned short column, FW_CRect& rect) const;
// new members
private:
	CWindoidPart* 		fWindoidPart;
	ODSShort 			fSelectedRow;
	ODSShort  			fSelectedCol;
};

//=======================================================================
#endif
