//	Copyright  1995 Apple Computer, Inc. All rights reserved.
//	Release Version:	$ 1.0 d11 $

#ifndef WINDOIDPRT_H
#define WINDOIDPRT_H

//=======================================================================
#ifndef _WINDOIDDEF_
#include "WindoidDef.h"
#endif

// ----- Framework Includes -----
#ifndef FWPART_H
#include "FWPart.h"			// FW_CPart
#endif

// ----- Foundation Layer -----
#ifndef FWSTDDEF_H
#include <FWStdDef.h>		// ?
#endif

#ifndef FWBNDSTR_H
#include <FWBndStr.h>		// FW_CString
#endif

//=======================================================================
class FW_CLASS_ATTR FW_CPart;
class FW_CLASS_ATTR FW_CString;
class FW_CLASS_ATTR FW_CMenuBar;
class FW_CLASS_ATTR FW_CMenuEvent;
class FW_CLASS_ATTR FW_CPresentation;
class FW_CLASS_ATTR CPaletteFrame;
class FW_CLASS_ATTR CMainFrame;
class FW_CLASS_ATTR FW_CFloatingWindow;

//=======================================================================
#ifdef FW_BUILD_WIN16
extern HANDLE far gWinInstance;		// Initialized by LibMain
#endif

//=======================================================================
class FW_CLASS_ATTR CWindoidPart : public FW_CPart {
public:
						CWindoidPart(ODPart* odPart);
	virtual 			~CWindoidPart();
	static const ODValueType 	kPartKind;
	static const ODValueType 	kPartUserName;
	
// overrides
public:
	virtual void 		Initialize(Environment* ev);
	virtual FW_CFrame*	NewFrame(Environment* ev,
								 ODFrame* odFrame,
								 FW_CPresentation* presentation,
								 FW_Boolean fromStorage);
	virtual FW_Boolean	DoAdjustMenus(Environment* ev,
									  FW_CMenuBar* menuBar, 
									  FW_Boolean hasMenuFocus,
									  FW_Boolean isRoot);
	virtual FW_Boolean	DoMenu(Environment* ev,
							   const FW_CMenuEvent& theMenuEvent);
	
	virtual void 		MyMakePalette(Environment* ev);

// new members
protected:
	virtual void 		MyInitMenus(Environment* ev);

private:
	FW_CPresentation*	fMainPresentation;
	FW_CPresentation*	fPalettePresentation;
	FW_CFloatingWindow*	fPaletteWindow;
};

//=======================================================================
#endif
